jQuery(function($){
    $(document).on("click",".runCron",function() {
        $(".wrap").addClass('all_campagins');	
        $(".all_campagins .runCron, .all_campagins .delete_campaign").prop('disabled', true);	
        var campID = $(this).data('id');        	                
        $.ajax({
            url: abckt_ajax.ajax_url, // WordPress AJAX URL
            type: 'POST',
            dataType: 'json',
            data: {
                action: 'btn_click_scheduale_timeframe_func_run', // Action to trigger the PHP function
                campID: campID,
				security: abckt_ajax.nonces.btn_click_scheduale_timeframe_func_run
            },
            success: function(response) {
                if(response.status != "error")
                {
                    $(".all_campagins .runCron, .all_campagins .delete_campaign").prop('disabled', false);            
                    $(".wrap").removeClass('all_campagins');
                    Swal.fire({
                        title: 'View Generated Post',
                        html: 'Click below to view the generated post.',
                        icon: 'success',
                        showCancelButton: true,
                        confirmButtonText: 'View Post',
                        cancelButtonText: 'Cancel',
                        allowOutsideClick: false
                    }).then((result) => {
                        // If "View Post" button is clicked
                        if (result.isConfirmed) {
                            window.open(response.message, '_blank');                        
                        }
                    });                   
                }
                else{
                    $(".all_campagins .runCron, .all_campagins .delete_campaign").prop('disabled', false);            
                    $(".wrap").removeClass('all_campagins');                    
                    Swal.fire({
                        title: 'Error!',
                        html: response.message,
                        icon: 'error',
                        showCancelButton: true,
                        confirmButtonText: 'Buy Now',
                        cancelButtonText: 'Cancel',
                        allowOutsideClick: false
                    }).then((result) => {
                        
                        if (result.isConfirmed) {
                            window.open("https://autoblog.one/pricing/", '_blank');                        
                        }
                    });
                }
            },
            error: function(error) {
                alert('Error executing function: ' + error.responseText);
            }
        });
    });
    $(document).on("click",".delete_campaign",function() {	
        if (confirm('Are you sure you want to delete this campaign?')) {
            var campID = $(this).data('id');	                
            $.ajax({
                url: abckt_ajax.ajax_url, // WordPress AJAX URL
                type: 'POST',
                data: {
                    action: 'delete_campaign', // Action to trigger the PHP function
                    campID: campID,
                    delete_campaign: abckt_ajax.nonces["delete_campaign"]
                },
                success: function(response) {                                    
                    // alert(response);
                    alert('Campaign deleted successfully!');
                    window.location.reload();
                },
                error: function(error) {
                    alert('Error deleting campaign: ' + error.responseText);
                }
            });
        }
    });

// Submit handler for activate form
$('#abckt_license_activate_form').submit(function(e) {
    e.preventDefault();
    handleFormSubmission('abckt_license_activate_form', 'abckt_activate_license');
});

// Submit handler for deactivate form
$('#abckt_license_deactivate_form').submit(function(e) {
    e.preventDefault();
    handleFormSubmission('abckt_license_deactivate_form', 'abckt_deactivate_license');
});

    // Function to handle form submission
function handleFormSubmission(formId, nonceKey) {
    
    var $form = $('#' + formId);
    $(".abckt_loading_img").show();
    var formData = $form.serialize(); // Serialize form data
    formData += '&security=' + abckt_ajax.nonces[nonceKey]; // Append nonce value dynamically    
    jQuery.ajax({
        url: abckt_ajax.ajax_url,
        type: 'POST',
        dataType: 'json',
        data: formData,
        success: function(data) {
            if (data.status === 'success') {
                $('<div class="notice notice-success"><p>' + data.message + '</p></div>').insertAfter('#' + formId);
                location.reload();
            } else {
                $('<div class="notice notice-error"><p>' + data.message + '</p></div>').insertAfter('#' + formId);
            }
        },
        error: function(error) {
            $('<div class="notice notice-error"><p>' + error.responseText + '</p></div>').insertAfter('#' + formId);
        },
        complete: function() {
            $(".abckt_loading_img").hide();
        }
    });
}

});