<?php

function abckt_register_menu_page()
{
    add_menu_page(
        __('AutoBlog', 'autoblog-ckt'),
        'AutoBlog',
        'manage_options',
        'auto-blog',
        'abckt_campaign_page',
        '',
        6
    );
    
    add_submenu_page('auto-blog', 'Campaigns', 'Campaigns', 'manage_options', 'auto-blog', 'abckt_campaign_page');
    add_submenu_page('auto-blog', 'Add New Campaign', 'Add New Campaign', 'manage_options', 'add-campaign', 'abckt_add_campaign_menu_page_func');
    add_submenu_page('auto-blog', 'License', 'License', 'manage_options', 'license', 'abckt_license_form_func');
}
add_action('admin_menu', 'abckt_register_menu_page');

function abckt_campaign_page()
{    
    include ABCKT_PLUGIN_TEMP . 'all-campaigns.php';
}

function abckt_add_campaign_menu_page_func()
{    
    include ABCKT_PLUGIN_TEMP . 'add-campaign.php';
}

function abckt_license_form_func()
{    
    include ABCKT_PLUGIN_TEMP . 'license-key-form.php';
}