<?php



// Global WordPress database object
require_once($_SERVER['DOCUMENT_ROOT'] . '/wp-load.php');
    
global $wpdb;
// Fetch all data from the wagp_data table
$table_name = $wpdb->prefix . 'wagp_data';
$results = $wpdb->get_results("SELECT id, prompt, languages, timeframe FROM $table_name", ARRAY_A); // Fetch results as associative array

if ($results) {
    // Return the data as a JSON response
    echo json_encode(array(
        'status' => 'success',
        'data' => $results
    ));
} else {
    // Return an error message if no data is found
    echo json_encode(array(
        'status' => 'error',
        'message' => 'No data found in the table'
    ));
}
    



?>
