<?php

// Global WordPress database object
require_once($_SERVER['DOCUMENT_ROOT'] . '/wp-load.php');
if (isset($_POST['id']) && isset($_POST['timeframe'])) {

    global $wpdb;
    $table_name = $wpdb->prefix . 'wagp_data';

    $id = sanitize_text_field($_POST['id']);
    $timeframe = sanitize_text_field($_POST['timeframe']);
    $prompt = sanitize_text_field($_POST['prompt']);
    $languages = sanitize_text_field($_POST['languages']);

    $wpdb->update(
    $table_name,
    [
        'prompt'    => $prompt,
        'languages' => $languages,
        'timeframe' => $timeframe,
    ], // Data to update
    ['id' => $id], // WHERE clause
    [
        '%s', // prompt is a string
        '%s', // languages is a string
        '%d'  // timeframe is an integer
    ],
    ['%d'] // Format for the WHERE clause (id is an integer)
);

    if ($wpdb->last_error) {
        echo json_encode(['status' => 'error', 'message' => 'Failed to update data']);
    } else {
        echo json_encode(['status' => 'success', 'message' => 'Data updated successfully']);
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid data']);
}